# par(ask=FALSE)

setwd("C:/")

pdf(file="nice.pdf",onefile=TRUE)

library(mvtnorm)
x <- y <- seq(-5, 5, length = 50)
f <- function(x,y) { dmvnorm(cbind(x,y)) }
z <- outer(x, y, f)

for ( u in 1:60) {
persp(x, y, z, theta = u, phi = u, expand = 0.5, col = "lightblue", shade = 0.25)

}