cumRowSum <- function(data){
	rows<-dim(data)[1]
	cols<-dim(data)[2]
	if (cols<2) {
		stop("must be more than 1 column") # error message if just 1 column
	}
	
	result<-data[,1];
	for (i in 2:cols){
		temp   <- rowSums(data[,1:i])
		result <- cbind(result, temp)
	}
	return(result);
}

genHist<-function(data2){
	par(ask=TRUE)
	cols<-dim(data)[2]
	
	for (i in 1:cols){
		plot(density(data2[,i],bw=2))
		
	}
}


data<-matrix(runif(5000),100)
data2<-cumRowSum(data)
genHist(data2)